Subject: Re: Request for update to rsync
From: Stephen More <[email-masked]>
To: "Gerrit P. Haase @ cygwin" <[email-masked]>
Cc: [email-masked]
Date: Thu, 27 Dec 2001 13:21:49 -0500

I have debugged my problem a little closer.

The rsync from cygwin on NT using 2.5.0 works as expected, only copies the
updated files.
The rsync from cygwin on Windows 98 is not working, it copies every file
every time.

I am getting the feeling that this bug is not in rsync, but perhaps the way
that Windows 98 is getting file attributes ??

Any ideas?

-Thanks
Stephen More

P.S. On the NT box where everyhting works as expected 'make test' says:
----- overall results:
      2 passed
      2 failed
      1 skipped

At 12:37 AM 12/27/01 +0100, Gerrit P. Haase wrote:
>Hallo Stephen,
>
>Am 2001-12-26 um 14:24 schriebst du:
>
>> When using rsync with cygwin ( 2.4.6 ), my sessions have been hanging.
>> rsync 2.5.0 is out and states:
>
>>  BUG FIXES:
>>         * Fix for various bugs causing rsync to hang.
>
>> Can someone update the rsync package?
>
>> I was able to download it, compile it, and run it. But perhaps I missed
>> something because it seemed to copy every file, every time.
>
>What does a `make test' say?
>I get this:
>----- overall results:
>      1 passed
>      3 failed
>      1 skipped
>
>That doesn't look like no problems.
>
>Gerrit
>-- 
>=^..^=                                        mailto:[email-masked]
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/